%global dlrn_nvr ansible-role-redhat-subscription-1.1.1.dev1-0.20200522204523.5f65ba4
%global dlrn 1
%define upstream_version 1.1.1.dev1
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global srcname ansible_role_redhat_subscription
%global rolename ansible-role-redhat-subscription

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 1.1.1
Release: 0.20200522204523.5f65ba4%{?dist}
Summary:        Ansible role for setting up Red Hat Subscription Management.

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/ansible-role-redhat-subscription
Source0: ansible-role-redhat-subscription-1.1.1.dev1-0.20200522204523.5f65ba4.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=5f65ba4a3a50128364012ac94870f1c36c0d57ec

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

# Handle python2 exception
%if %{pyver} == 2 || 0%{?rhel} > 7
Requires:       ansible
%else
Requires:       ansible-python3
%endif


%description

Ansible role to configure Red Hat Subscription Management

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Introduce rhsm_release parameter

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Skip proxy tasks when not needed

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Fix ansible_pkg_mgr
- Improve support for HTTP proxy

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Sep 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the constraints url


